%define major 0
%define famajor 1
%define libname %mklibname augeas %{major}
%define libfa %mklibname fa %{famajor}
%define develname %mklibname augeas -d

Name:           augeas
Version:        1.8.0
Release:        %mkrel 1
Summary:        A library for changing configuration files
Group:          Development/C
License:        LGPv2.1+
URL:            http://augeas.net/
Source0:        http://download.augeas.net/%{name}-%{version}.tar.gz
Source1:	http://download.augeas.net/%{name}-%{version}.tar.gz.sig
BuildRequires:  readline-devel pkgconfig(libxml-2.0)
BuildRequires:  libxml2-devel 
BuildRequires:  selinux-devel

%description
A library for programmatically editing configuration files. Augeas parses
configuration files into a tree structure, which it exposes through its
public API. Changes made through the API are written back to the initially
read files.

The transformation works very hard to preserve comments and formatting
details. It is controlled by ``lens'' definitions that describe the file
format and the transformation into a tree.

%package -n %develname
Summary:        Development files for %{name}
Group:          Development/C
Provides:       %{name}-devel = %{version}-%{release}
Requires: 	%{libname} = %{version}-%{release}
Requires: 	%{libfa} = %{version}-%{release}

%description -n %develname
This package contains libraries and header files for
developing applications that use %{name}.

%package -n 	%{libname}
Summary:        Libraries for %{name}
Requires:       %{name}-lenses = %{version}-%{release}
Group:          Development/C

%description -n %{libname}
The libraries for %{name} .

%package -n	 %{libfa}
Summary: 	Library for %{name}
Group: 		Development/C
Conflicts: 	%{libname} < 0.9.0-2

%description -n %{libfa}
The library for %{name}.

%package 	lenses
Summary:        Lenses for %{name}
Group:          Development/C

%description 	lenses
The lenses for %{name}.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make_build


# %%check
# %%make_build check

%install
%make_install

rm -f %{buildroot}%{_libdir}/*.la

%files
%{_bindir}/augtool
%{_bindir}/augparse
%{_bindir}/fadot
%{_mandir}/man1/*
%{_datadir}/vim/vimfiles/ftdetect/augeas.vim
%{_datadir}/vim/vimfiles/syntax/augeas.vim

%files lenses
%doc AUTHORS NEWS
%{_datadir}/augeas

%files -n %{libname}
%{_libdir}/libaugeas.so.%{major}*

%files -n %{libfa}
%{_libdir}/libfa.so.%{famajor}*

%files -n %{develname}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/augeas.pc


%changelog
* Thu May 11 2017 bcornec <bcornec> 1.8.0-1.mga6
+ Revision: 1100153
- update to upstream 1.8.0

* Mon Jan 02 2017 bcornec <bcornec> 1.7.0-1.mga6
+ Revision: 1079624
- update to upstream augeas 1.7.0

* Wed Aug 17 2016 bcornec <bcornec> 1.6.0-2.mga6
+ Revision: 1046757
- Update to upstream augeas 1.6.0

* Thu May 12 2016 tv <tv> 1.4.0-2.mga6
+ Revision: 1014160
- use std build macros; prevent commented out macros to break build

* Sun Jan 03 2016 bcornec <bcornec> 1.4.0-1.mga6
+ Revision: 919101
- Update to upstream augeas 1.4.0

* Wed Oct 15 2014 umeabot <umeabot> 1.2.0-3.mga5
+ Revision: 751043
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.0-2.mga5
+ Revision: 678048
- Mageia 5 Mass Rebuild

* Mon Aug 11 2014 bcornec <bcornec> 1.2.0-1.mga5
+ Revision: 661841
- Update to augeas upstream 1.2.0

* Tue Jan 21 2014 oden <oden> 1.1.0-3.mga4
+ Revision: 567342
- P0: security fix for CVE-2013-6412 (upstream)

* Sat Oct 19 2013 umeabot <umeabot> 1.1.0-2.mga4
+ Revision: 531966
- Mageia 4 Mass Rebuild

* Wed Aug 14 2013 joequant <joequant> 1.1.0-1.mga4
+ Revision: 466349
- upgrade to 1.1.0

* Thu Jan 17 2013 pterjan <pterjan> 0.10.0-7.mga4
+ Revision: 389214
+ rebuild (emptylog)

* Fri Jan 11 2013 umeabot <umeabot> 0.10.0-7.mga3
+ Revision: 346599
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 31 2012 wally <wally> 0.10.0-6.mga3
+ Revision: 336504
- fix build with new automake 1.13

* Thu Nov 15 2012 fwang <fwang> 0.10.0-5.mga3
+ Revision: 318100
- revert selinux exception, we need to fix it in another way

* Fri Aug 31 2012 spuhler <spuhler> 0.10.0-4.mga3
+ Revision: 285995
- Added exception

* Tue Aug 28 2012 spuhler <spuhler> 0.10.0-3.mga3
+ Revision: 284648
- drop .la files
- rebuild against new gnulibs and with no-gets patch

* Thu Aug 09 2012 guillomovitch <guillomovitch> 0.10.0-1.mga3
+ Revision: 280148
- new version
- drop .la files

* Thu Aug 18 2011 misc <misc> 0.9.0-1.mga2
+ Revision: 134277
- new version

* Sat Apr 16 2011 misc <misc> 0.8.0-1.mga1
+ Revision: 86165
- ruby is no longer needed to run tests
- remove explicit requires on pkgconfig, as this should be
  done by rpm auto requires
- update to latest stable

* Sat Jan 08 2011 kharec <kharec> 0.7.4-1.mga1
+ Revision: 1253
- imported package augeas

